{flake, ...}: let
  inherit
    (flake.config.people)
    user2
    ;
in {
  sops = {
    defaultSopsFile = ../../secrets/secrets.yaml;
    validateSopsFiles = false;
    age = {
      keyFile = "/var/lib/sops-nix/key.txt";
      generateKey = false;
    };
    secrets = {
      "ssh/private" = {
        path = "/home/${user2}/.ssh/id_ed25519";
        owner = user2;
      };
      "ssh/public" = {
        path = "/home/${user2}/.ssh/id_ed25519.pub";
        owner = user2;
      };
      "network/fallaryn" = {
        path = "/etc/fallaryn-synology";
        owner = "root";
        mode = "600";
      };
    };
  };
}
